JQuery

Inscreva-se em nosso canal no Youtube Daviwp

Corrigir conflitos entre bibliotecas do JQuery

17/07/2012 JQuery (12) comentários

Olá pessoal mais um post bem simples, hoje me deparei com um conflito no meu scritp JQuery, resouvir pesquisar mais sobre como reparar esse erro, então encontrei, bem simples e rapido de fazer
vamos lá basta inserir no seu header o codigo abaixo.

<script type="text/javascript">
    var $JQuery = jQuery.noConflict()
</script>

Repare no codigo acima (var $JQuery) essa é a variável que você vai inserir ao lado da $ ok?
meu exemplo abaixo.

 
<script type="text/javascript">		
   $JQuery(document).ready(function() {
	 $JQuery("#ad").fadeIn("slow");
	 $JQuery("#close").click(function () {
	 $JQuery("#ad").fadeOut("slow");
   });
});	
</script>

Bem simples mesmo, devido ter passado por esse probleminha decidir compartilhar com vocês
Abraço até a proxíma.

DaviWp

daviwp

Meu nome é Davi Alves desenvolvedor web e WordPress developer, residente de Belo Horizonte, sou um dos organizadores do WordCamp evento oficial do WordPress em BH e co-fundador do Belo Horizonte WordPress Group juntamente com o fundador Mateus Neves, sou articulista de alguns sites, e fundador do daviwp.com, aqui compartilho conhecimentos para toda galera aficionada em WordPress.

  • Marcos Gabriel

    Gostei dessa dica, quebra bastante o galho.

    • Davi

      Obrigado Marcos volte sempre!

  • gian

    ola amigo estou usando muitos link de biblioteca, e fica dificil auterar todos e esta dando conflitos…

    veja no forum imaster os codigos.

    https://forum.imasters.com.br/topic/477279-conflitos-com-jquery/

    • Davi

      Bom dia Gian, tenta trocar a ordem de carregar os scripts, ou divide alguns scripts cagerrar no rodapé

  • Andii Brunetta

    Olá! Só estou passando para agradecer, a dias estava numa briga entre JQuery e GMap, meu mapa não renderizava corretamente… encontrei sua dica e apenas declarei a variável $JQuery, foi suficiente para funcionar perfeitamente!! Obrigada 🙂

    • daviwp

      Ótimo Andi

  • Bcesar_rs

    Perfeito, resolveu bem meu problema entre jquery-1.9.1.js e o jquery-te-1.4.0.min.js do editor html. Vlw d+!

    • daviwp

      Ótimo Bcesar.

  • daviwp

    Olá Ricardo,

    Parece que algo conflito esta acontecendo, tenta chamar esses arquivos no seu footer.

    • Patricia Damasceno

      Só para registrar: vc salvou minha vida e meses de trabalho insano com uma simples frase! Muito muito obrigada mesmo!!!

      • daviwp

        Olá Patricia volte sempre e obrigado.

  • Luiz Jr

    Cara, Obrigado pela sua ajuda!
    Estou muito Feliz, pois eu fiz um monte de Gambiarras, depois achei sua solução!
    Vou colocar no meu site Também, mas vou colocar Fonte. ok?